/***
 * CopyPolicy: GNU Public License 2 applies
 * Copyright (C) by Heiko Eissfeldt
 *
 * prototypes from cdda2wav.c
 */
#define max(a,b) ((a) > (b) ? a : b)
#define min(a,b) ((a) < (b) ? a : b)


/* verbose levels */
#define SHOW_TOC	1
#define SHOW_SUMMARY	2
#define SHOW_INDICES	4
#define SHOW_MCN	8
#define SHOW_ISRC	16
#define SHOW_STARTPOSITIONS	32

extern long cd_fd;
extern unsigned char dev_name [200];
extern unsigned char aux_name [200];
extern int audio;
extern long soundcard_fd;
extern int echo;
extern unsigned long SectorBurst;
extern int swap;
extern int sh_bits;
extern int OutSampleSize;
extern long Remainder;
extern int verbose;
extern int quiet;
extern int no_file;
extern int SkippedSamples;


void FatalError (char *szMessage, ...);
void AnalyzeQchannel ( unsigned frame );
long SamplesNeeded( long amount, long undersampling);
